Each of these simulations ties to a
message type from the card events endpoint.
Create a Card Simulation
Initiate a card simulationCard Simulation Request Body
Auth Request, Force Capture, Original Credit Auth and Clear, and Refund Auth
Auth Clear Request
Auth Capture, Auth Reversal, and Refund
ATM Sub-Object
Note that the
merchant and address sub-objects are the same across all card simulations.
Merchant Sub-Object
Address Sub-Object
Example Request
Example Response
Success
There will be no response body. The response code will be a202 - accepted
Error
Example Usage
A common flow for a card simulation is creating a mock swipe for an issued card at a specific merchant. The following calls outline simulating a purchase at a grocery store. Create an auth request simulating the initial swipe of the card at the point of sale system. This auth request will be routed through the mocked card network and verified against any card controls that have been setup.trace_id for the auth_request is required. This can be retrieved from either the card_event generated upon receipt of the auth request or the transaction endpoint.
Here it is located via the account transaction endpoint via this request.
hold generated in response to the auth request is the most recent transaction.
trace_id has been found, an auth capture request can be created simulating the verification of the auth request. The trace_id is supplied as the external_id for our simulation call. The auth capture will release the hold and debit the funds from the account.